> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Job Summary

> Retrieves a batch job summary by its code



## OpenAPI

````yaml /openapi/openapi_importexport.json get /platform/data/batchJob/actions/{code}/summary
openapi: 3.0.1
info:
  description: |-
    <div id="overview_IMPORTEXPORT">
                <h2>Import Export</h2>
                <p>The Import Export APIs are used to "import and export" Kibo's resources efficiently in <strong>CSV</strong> file format.</p>
                <p> For Importing, files are first zipped and uploaded via the <strong>Files API</strong>. Then an import job can be created, referencing the uploaded files using the <strong>Import API.</strong></p>
                <p> For Exporting, create an export job via the  <strong></strong>Export API, specifying  the resource to be exported. Then after completion, the csv extracts can be downloaded via the <strong>File API</strong></p>
                
            </div>
  title: Import Export
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/data/batchJob/actions/{code}/summary:
    get:
      tags:
        - BatchJob
      summary: Get Batch Job Summary
      description: Retrieves a batch job summary by its code
      parameters:
        - in: path
          name: code
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchJobSummary'
            text/json:
              schema:
                $ref: '#/components/schemas/BatchJobSummary'
            text/plain:
              schema:
                $ref: '#/components/schemas/BatchJobSummary'
          description: Success
components:
  schemas:
    BatchJobSummary:
      properties:
        code:
          nullable: true
          type: string
        dateStarted:
          format: date-time
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        resources:
          items:
            $ref: '#/components/schemas/BatchJobResourceSummary'
          nullable: true
          type: array
        scheduledDate:
          format: date-time
          nullable: true
          type: string
        status:
          $ref: '#/components/schemas/BatchJobStatuses'
      type: object
    BatchJobResourceSummary:
      properties:
        counts:
          items:
            $ref: '#/components/schemas/ProcessingCount'
          nullable: true
          type: array
        resourceType:
          nullable: true
          type: string
      type: object
    BatchJobStatuses:
      enum:
        - Ready
        - Pending
        - Running
        - Completed
        - Canceled
      type: string
    ProcessingCount:
      properties:
        count:
          format: int32
          type: integer
        status:
          $ref: '#/components/schemas/BatchJobItemProcessingStatuses'
      type: object
    BatchJobItemProcessingStatuses:
      enum:
        - Waiting
        - Running
        - ValidationFailed
        - Failed
        - Completed
        - Cancelled
      type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````